
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《 FreeSWITCH权威指南》——1.6　电路交换与分组交换 / iVAN</title>

    <meta name="description" content="《 FreeSWITCH权威指南》——1.6　电路交换与分组交换 1.6 电路交换与分组交换 在传统的电路交换中,两个通信节点间需要建立一个专用通路,这会导致电路利用率较低.而报文交换以报文作为数据交换的单位,携带目标地址.源地址等信息,在节点间采用存储转发的方式,不需要建立专门的通信线路,可以大大提高通信线路的利用率.分组交换是报文交换的特殊情形,下面我们来介绍一下电路交换和分组交换.1.6.1 电路交换 传统的电话都是基于电路交换的.由于电路交换在通信之前要在通信双方之间建立一条被双方独占的物理通路(由通信双方之间的交换设备和链路逐段连接而成),因而有以下">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《 FreeSWITCH权威指南》——1.6　电路交换与分组交换</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>1.6　电路交换与分组交换</h3>
<p>在传统的电路交换中，两个通信节点间需要建立一个专用通路，这会导致电路利用率较低。而报文交换以报文作为数据交换的单位，携带目标地址、源地址等信息，在节点间采用存储转发的方式，不需要建立专门的通信线路，可以大大提高通信线路的利用率。分组交换是报文交换的特殊情形，下面我们来介绍一下电路交换和分组交换。<br /><strong>1.6.1　电路交换</strong><br />
传统的电话都是基于电路交换的。由于电路交换在通信之前要在通信双方之间建立一条被双方独占的物理通路（由通信双方之间的交换设备和链路逐段连接而成），因而有以下优缺点。<br />
电路交换的优点：</p>
<ul>
<li>由于通信线路为通信双方用户专用，数据直达，所以传输数据的时延非常小。</li>
<li>通信双方之间的物理通路一旦建立，双方可以随时通信，实时性强。</li>
<li>双方通信时按发送顺序传送数据，不存在失序问题。</li>
<li>电路交换既适用于传输模拟信号，又适用于传输数字信号。</li>
<li>进电路交换的设备（交换机等）及控制均较简单。</li>
<li>电路交换的缺点：</li>
<li>电路交换的平均连接建立时间对计算机通信来说较长。</li>
<li>建立电路交换连接后，物理通路被通信双方独占，即使通信线路空闲，也不能供其他用户使用，因而信道利用率低。</li>
<li>在进行电路交换时，数据直达，不同类型、不同规格、不同速率的终端很难相互进行通信，也难以在通信过程中进行差错控制。</li>
</ul>
<p><strong>1.6.2　分组交换</strong><br />
我们熟悉的IP交换采用的就是分组交换的方式。它仍采用存储转发的传输方式，但将一个长报文先分割为若干个较短的分组，然后把这些分组（携带源、目的地址和编号信息）逐个地发送出去，因此分组交换除了具有报文交换的优点外，与报文交换相比其还有以下优缺点。<br />
分组交换的优点：</p>
<ul>
<li>加快了数据在网络中的传输速度。因为分组是逐个传输，可以使后一个分组的存储操作与前一个分组的转发操作并行，这种流水线式传输方式减少了报文的传输时间。此外，传输一个分组所需的缓冲区比传输一份报文所需的缓冲区小得多，这样因缓冲区不足而等待发送的几率及等待的时间也必然少得多。</li>
<li>简化了存储管理。因为分组的长度固定，故相应的缓冲区的大小也固定，在交换节点中存储器的管理通常被简化为对缓冲区的管理，相对比较容易。</li>
<li>减少了出错几率和重发数据量。因为分组较短，其出错几率必然减少，每次重发的数据量也就大大减少，这样不仅提高了可靠性，也减少了传输时延。</li>
<li>由于分组短小，更适用于采用优先级策略，便于及时传送一些紧急数据，因此对于计算机之间的突发式的数据通信，分组交换显然更为合适些。</li>
</ul>
<p>分组交换的缺点：</p>
<ul>
<li>尽管分组交换比报文交换的传输时延少，但仍存在存储转发时延，而且其节点交换机必须具有更强的处理能力。</li>
<li>分组交换与报文交换一样，每个分组都要加上源、目的地址和分组编号等信息，使传送的信息量增大5%～10%，这在一定程度上降低了通信效率，增加了处理的时间，使控制复杂、时延增加。</li>
<li>当分组交换采用数据报服务时，可能出现失序、丢失或重复分组，分组到达目的节点时，要对分组按编号进行排序等工作，增加了麻烦。若采用虚电路服务，虽无失序问题，但有呼叫建立、数据传输和虚电路释放三个过程。</li>
</ul>
<p>总之，若要传送的数据量很大，且其传送时间远大于呼叫时间，则采用电路交换较为合适；当端到端的通路有很多段的链路组成时，采用分组交换传送数据较为合适。从提高整个网络的信道利用率上看，报文交换和分组交换优于电路交换，其中分组交换比报文交换的时延小，尤其适合计算机之间的突发式的数据通信。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 23:24:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《 FreeSWITCH权威指南》——1.6　电路交换与分组交换的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPk58vM.html" rel="bookmark">《 FreeSWITCH权威指南》&mdash;&mdash; 导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前 言 我们已经步入了一个崭新的时代.当前,VoIP已开始成为包括语音和视频在内的多媒体通信的主导并将在全世界范围内引领一场新的革命,而SIP(Session Initiation Protocol,会话初始协议)正是这场革命的核心. 试想一下我们常用的电子邮件,它仅能用于文字通信.从电子邮件诞生开始,经过三十几年的发展,到现在几乎人人都有了一个Email地址(有的人还有多个).随着实时多媒体通信需求的增加及技术的发展,笔者相信在不久的将来,每个人都将会拥有一个用于多媒体通信的SIP地址.当前,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG1EXeM.html" rel="bookmark">《 FreeSWITCH权威指南》&mdash;&mdash;第1章 PSTN与VoIP基础1&period;1　PSTN起源与发展</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 PSTN与VoIP基础 一说起VoIP,给人的感觉好像有些抽象,或许大家对&quot;网络电话&quot;这个词更熟悉一些.VoIP的英文原意是Voice Over IP,即承载于IP网上的语音通信.大家熟悉家庭上网所使用的ADSL吧?或许有些人还记得前些年用过的吱吱叫的老&quot;猫&quot;(Modem,调制解调器).技术日新月异,之前的技术都是用电话线上网,现在VoIP技术使我们可以在网上打电话.所谓&quot;温故而知新&quot;,在学习任何新东西以前,我们最好都了解一下它的历史,以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWnLWp.html" rel="bookmark">《 FreeSWITCH权威指南》&mdash;&mdash;3&period;2　快速体验</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.2 快速体验 FreeSWITCH的功能确实非常丰富和强大,在进一步学习之前我们先来一次完整的体验. FreeSWITCH默认的配置是一个SOHO PBX(家用电话小交换机),那么我们本节的目标就是从零开始安装,实现分机互拨电话,测试各种功能,并通过添加一个SIP-PSTN网关拨打PSTN电话.这样,即使你没有任何使用经验,也应该能顺利学完本章,从而建立一个直观的认识.在体验过程中,你会遇到一点稍复杂的配置,如果不能完全理解,也不用担心,我们在后面会详细介绍.当然,如果你是一个很有经验的 F			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgDg4b.html" rel="bookmark">《 FreeSWITCH权威指南》&mdash;&mdash;第2章 PSTN、PBX及呼叫中心业务2&period;1　PSTN业务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 PSTN.PBX及呼叫中心业务 我们在第1章学习了PSTN和VoIP的基本概念和术语,在本章我们接着了解一下传统的电话网及交换设备.这些服务有的是读者已经熟悉的,有的可能没听说过.有一些传统业务在VoIP时代实现起来异常简单,而有一些业务可能已经不需要了. 为了更深入地理解这些业务,在本章我们也对一些基本的概念,如中继线.IP-PBX等加以深入介绍. 另外,考虑到相当一部分读者可能把FreeSWITCH应用到呼叫中心或相关业务中,在本章我们也对呼叫中心业务进行了简单的介绍,并简单讨论一下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94QLob.html" rel="bookmark">《 FreeSWITCH权威指南》&mdash;&mdash;3&period;6　小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.6 小结 本章涵盖了FreeSWITCH在Windows.Linux.MacOSX三大平台上从安装.配置到调试.使用等相关内容. 如果你能顺利走到这儿,则说明你对 FreeSWITCH 已经爱不释手了.如果你卡在了某处,或某些功能未能实现,这也不是你的错,主要是因为 FreeSWITCH 博大精深,笔者不能在短短的一章内把所有的方面解释清楚.在后面的章节中,你会学到更多的基本概念,从而更加深入地了解 FreeSWITCH 的哲学,也会学到更多的调试技术和技巧,那时解决任何问题都会是小菜一碟了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3r0xAz.html" rel="bookmark">《 FreeSWITCH权威指南》&mdash;&mdash;第3章 初识FreeSWITCH3&period;1　什么是FreeSWITCH ？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第3章 初识FreeSWITCH 在前面几章,我们用了很大的篇幅介绍了电话通信的背景和基础知识,以及电信业务的知识.对于刚刚跨入通信(或电信)领域的读者来说,熟悉这些背景知识以及里面提到的各种名词术语,有助于理解后面要学到的知识.通信领域涉及的面非常广泛,可以说,里面的很多术语或知识点单独拿出来都可以写成一章或一本书.我们本书的重点是FreeSWITCH,因此从本章开始,我们正式进入FreeSWITCH的学习.学习本书的好处在于,即使你对前两章的内容不是很了解,也可以通过对FreeSWITCH的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDny8BM.html" rel="bookmark">《 FreeSWITCH权威指南》&mdash;&mdash;2&period;3　PBX与中继线</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 PBX与中继线 用户或企业PBX要想打通外面的电话,或者外面的电话需要打进来,需要走运营商提供的中继线,以接入到PSTN网上去.理解中继线的概念对于理解PBX以及PSTN是非常重要的,中继的接入方式决定了我们如何拨号,读者在学习中也可以思考一下为什么使用这种拨号方式,我们能如何配置以提供更好的用户体验等.因此,在这里我们单独拿出一节来说明. 下面我们以模拟中继线为例,通过一则故事来说明中继线与PBX的关系. 假设我们刚开了一家公司,需要7部电话,于是向运营商(在PSTN交换机上)申请了7			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlLlBDM.html" rel="bookmark">《 FreeSWITCH权威指南》&mdash;&mdash;3&period;4　FreeSWITCH用作软电话</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.4 FreeSWITCH用作软电话 也可以把FreeSWITCH简单地用作一个软电话(可以看作用FreeSWITCH做了一个X-Lite).虽然相比而言,FreeSWITCH比配置X-Lite略微复杂一些,但你会从中得到更多好处:FreeSWITCH是开源的,更强大.灵活.关键是它是目前笔者所知道的唯一支持CELT高清通话的软电话. FreeSWITCH使用mod_portaudio模块支持你本地的音频设备,该模块默认是不编译的.在你的源代码目录下执行如下命令,以安装该模块: make mo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrqQ3Vb.html" rel="bookmark">《 FreeSWITCH权威指南》&mdash;&mdash;第一部分  基　础　篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一部分 基 础 篇 自己动手搭建个人的软交换环境是一件激动人心的事.本篇就带领大家一步一步来完成这件事.当然,在这之前我们首先要一起回顾一下电话交换网络和电话交换技术以及相关的历史,并探讨交换网络的现状和未来:同时,学习一些电信领域的基础知识,熟悉一些基础的电信业务:然后,我们再一起体验FreeSWITCH的安装和配置:在对FreeSWITCH有了直观的印象之后,我们再详细解释FreeSWITCH的设计思想和理念.基本概念和理论.运行和维护的方法,以及重要的协议和模块等. 读完本篇,你可以为成			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zenKVb.html" rel="bookmark" class="title">阿里云新Logo：生于代码</a>
					<div>
						2016年8月9日,阿里云品牌形象全新升级.这是自2009年成立以来,阿里云第二次更新LOGO.此前,最为人熟悉的&quot;云&quot;LOGO已经使用了近六年. 我们深刻认识到,云的本质是计算, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXX9lp.html" rel="bookmark" class="title">Fireworks 简单且强大的涂抹工具</a>
					<div>
						在fireworks里有一种非常强大的工具-涂抹工具.也许你不常用它,不过如果你欣赏完这次介绍的三个案例,也许你会不禁拿起鼠标试一试! 涂抹画云 1.1. 如图1用钢笔勾勒出云的大体形状. 选中这个路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMA9KnM.html" rel="bookmark" class="title">常见的液晶面板的特点及辨别方法</a>
					<div>
						液晶面板就是液晶电视的屏幕,它的产量.优劣以及市场环境等多种因素都关系着液晶显示器自身的质量.价格和市场走向,因为一台液晶显示器其80%左右的成本都集中在了面板上.液晶面板质量.技术的好坏也关系着液晶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R375p.html" rel="bookmark" class="title">另一个关于持续集成和版本分支的故事</a>
					<div>
						经典书籍&lt;持续交付&gt;[1]的作者曾就分支合并和代码演化等问题详细地讨论 过滥用分支对持续集成的负面影响.而我今天要说的是这样一个故事,一个只能 申请到非常有限的硬件设备的团队,他们是如何在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62EQYM.html" rel="bookmark" class="title">如何修改MySQL的字符集</a>
					<div>
						修改mysql的默认字符集是通过修改它的配置文件来实现的.一般分两种情况: Windows平台 windows下的mysql配置文件是my.ini,一般在c:\windows\my.ini或者c:\w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPn00z.html" rel="bookmark" class="title">flash选择工具教程</a>
					<div>
						选择工具有以下几个方法来用: 第一种 1.大家随便画个图形. 1.继续上面的图形 2.使用,选择中间的黑色,OK,选中了~~有雪花状的就是选中的意思~~,选中了以后就可以随便你把它拖到哪里了~. 当然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NQN7z.html" rel="bookmark" class="title">优秀的网页设计必须关注文字和图片的统一</a>
					<div>
						现在视觉专家表明:用户浏览网站是按照&quot;F&quot;型的视觉路线.我们看任何东西都是从上往下的,最顶部左上角的位置是最明显的,也是最先被看到,这一点 已经被现在所有的网站都运用上了,大家通常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72Wldp.html" rel="bookmark" class="title">JavaScript表单通过正则表达式验证电话号码</a>
					<div>
						 通过正则表达式实现判断一个输入量是否为电话号码,需要的朋友可以参考下 JavaScript表单验证电话号码,判断一个输入量是否为电话号码,通过正则表达式实现.  代码如下: //检查电话号码  fu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3okE0b.html" rel="bookmark" class="title">Win8系统下怎么删除没有获得权限的文件</a>
					<div>
						    1.先将鼠标移动到win8系统桌面的左下角处,然后右键点击,在弹出的菜单上选择&quot;命令提示符&quot;; 2.接着在打开的命令提示符窗口上用CD命令进入你要删除的文件目录,再用DEL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1oENb.html" rel="bookmark" class="title">Windows Vista虚拟化功能故障解决方法</a>
					<div>
						用Windows http://www.aliyun.com/zixun/aggregation/15470.html&quot;&gt;Vista操作系统的虚拟化功能,你可能会遇到诸如文件以及注册表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRAA6p.html" rel="bookmark" class="title">微软为何还没选出新CEO之谜</a>
					<div>
						美国的&lt;华尔街日报&gt;网络版刊登了一篇题为&lt;微软为何还没选出新CEO&gt;(Why Microsoft Hasn't Yet Chosen a New CEO)的评论文章,该文章中声 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ2VRp.html" rel="bookmark" class="title">IE与Firefox在JavaScript上的7个不同写法小结&lowbar;javascript技巧</a>
					<div>
						在这篇文章中,作者介绍了7个在IE和Firefox中不同的JavaScript句法. 1. CSS &quot;float&quot; 值 访问一个给定CSS 值的最基本句法是: object.sty ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l9m3b.html" rel="bookmark" class="title">简洁的桌面设计如何做到更好？</a>
					<div>
						使用过苹果的Mac 笔记本之后,如果再使用window系统,用户通常的感受就是window系统桌面太罗嗦了,而且使用非常的麻烦,混乱的桌面图标排版,让用户摸不着头脑的帮助系统,这无疑对于设计师而言提出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YA7XM.html" rel="bookmark" class="title">Java Cache-EHCache系列之计算实例占用的内存大小（SizeOf引擎）</a>
					<div>
						在EHCache中,可以设置maxBytesLocalHeap.maxBytesLocalOffHeap.maxBytesLocalDisk值,以控制Cache占用的内存.磁盘的大小(注:这里Off  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRY0vz.html" rel="bookmark" class="title">浅谈创业团队的薪水与待遇</a>
					<div>
						如今,越来越多有想法有干劲的年轻人选择走创业这条路,而创业的风险性在于,对于收入没有一定的保证,也没有一个具体的成功时间,例如,关于创业团队成员的薪水与待遇,似乎一直都是一个敏感话题.一种说法是既然创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw88yM.html" rel="bookmark" class="title">用C&plus;&plus;编写程序，国际象棋棋盘存在障碍物，皇后从起点到终点用计步</a>
					<div>
						问题描述 用C++编写程序,国际象棋棋盘存在障碍物,皇后从起点到终点用计步 5C 8乘8的棋盘上,自拟起点,终点以及障碍物个数及坐标,皇后可以直走和斜走,一步可走多格,问从起点到终点皇后共走多少步.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YDGdM.html" rel="bookmark" class="title">javascript-  看看我的写的js对于不对</a>
					<div>
						问题描述 看看我的写的js对于不对 这个我 年月选项的是时候并不能把结果也转换过来 会出现下面图片上的问题 这是我那写的不对吗 并且 计算的时候默认的是年 但是你转换的 日月的时候他们的结果还是 跟年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7o0Zz.html" rel="bookmark" class="title">只要你敢，总会有光芒指引你</a>
					<div>
						写作最快乐的事莫过于让作品成为阅读者心中的光芒.只要你敢,总会有光芒指引你.--韩寒 (真是太忧伤了,刚才都写完了,不料Markdown被荡掉了,只能重写一遍了.) 前些天读完了第三本韩寒的书--&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeg27b.html" rel="bookmark" class="title">JQuery EasyUI combobox&lpar;下拉列表框&rpar;</a>
					<div>
						﻿﻿ 下拉列表框 继承 $.fn.combo.defaults. 重写 $.fn.combobox.defaults. 组合框显示一个可编辑的文本框和下拉列表,用户选择一个或多个值.用户可以直接输入文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZEmaz.html" rel="bookmark" class="title">《精通 ASP&period;NET MVC 4》----2&period;3  渲染Web页面</a>
					<div>
						2.3 渲染Web页面 精通 ASP.NET MVC 4 前面例子的输出并不是HTML,只是一个字符串&quot;Hello, world&quot;.为了产生一个对浏览器请求进行响应的HTML,需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE45Nqz.html" rel="bookmark" class="title">win2003禁止web等目录执行exe&comma;bat&comma;com的方法&lowbar;win服务器</a>
					<div>
						利用gpedit.msc(组策略)禁止目录执行某些文件. 首先: 运行-----输入 gpedit.msc ----计算机配置---windows 设置----安全设置↓软件限制策略(如果旁边没有什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRkX5b.html" rel="bookmark" class="title">php导出csv文件&comma;可导出前导0实例代码&lowbar;php实例</a>
					<div>
						实例一:可导出前导0 //导出csv格式文件 $data数据 $title_arr标题 $file_name文件名 function exportCsv($data,$title_arr,$file_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEkBAM.html" rel="bookmark" class="title">shell编程--基本格式，基本语法，运算符，expr，&lpar;&lpar;&rpar;&rpar;&comma;&dollar;&lbrack;&rsqb;</a>
					<div>
						02/shell编程 Shell是用户与内核进行交互操作的一种接口,目前最流行的Shell称为bash Shell Shell也是一门编程语言&lt;解释型的编程语言&gt;,即shell脚本&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn7JWM.html" rel="bookmark" class="title">神经网络初学者指南：基于Scikit-Learn的Python模块</a>
					<div>
						编者按:这个帖子概述了使用 Scikit-learn 在 Python 中设置神经网络的方法,其最新版本现在已经内置支持神经网络模型.作者 Jose Portilla 是一名数据科学顾问和培训师,目前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK582Lp.html" rel="bookmark" class="title">java中三种常见内存溢出错误的处理方法（good）</a>
					<div>
						相信有一定java开发经验的人或多或少都会遇到OutOfMemoryError的问题,这个问题曾困扰了我很长时间,随着解决各类问题经验的积累以及对问题根源的探索,终于有了一个比较深入的认识. 在解决j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nmxPz.html" rel="bookmark" class="title">安卓开发获取数据的url</a>
					<div>
						问题描述 安卓开发获取数据的url 请问各位安卓开发 从网上获取数据时 怎么知道url 比如我想开发一个健康食谱 怎么知道他的url借口是多少啊 小白求助 解决方案 Java URL获取数据的方式ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZY6mz.html" rel="bookmark" class="title">解析Android中实现滑动翻页之ViewFlipper的使用详解&lowbar;Android</a>
					<div>
						1)View切换的控件-ViewFlipper介绍 ViewFilpper类继承于ViewAnimator类.而ViewAnimator类继承于FrameLayout. 查看ViewAnimator类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE9gBz.html" rel="bookmark" class="title">php程序的国际化实现方法（利用gettext）&lowbar;php技巧</a>
					<div>
						步骤一:搭建环境 1,首先查看你的php扩展目录下是否有php_gettext.dll这个文件,如果没有,这就需要你 下载一个或是从其他地方拷贝一个,然后放到php扩展目录. 2,打开php.ini, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNveXmM.html" rel="bookmark" class="title">《淘宝店铺设计装修一册通》一1&period;3　店铺装修必须注意的问题</a>
					<div>
						1.3 店铺装修必须注意的问题 淘宝店铺设计装修一册通网购火爆的今天,一个网店除了商品和价格外,店铺的门面也很重要.在现实生活中,很多消费者是被店面风格吸引而购物的,为了招徕顾客,网店也同样需要进行& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrvw91M.html" rel="bookmark" class="title">MDI子窗体最大化 的问题 望指教 在线等</a>
					<div>
						问题描述 我在MDI子窗体最大化的时候,子窗体的标题,以及最大关闭按钮占了一行,而主窗体的菜单栏下移了一行.我要实现的就是子窗体的标题,主窗体的菜单,最大关闭按钮都在同一行,我看过类似的软件,但是就是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
